### File

`packages/base/src/lib/eui-models/log/log.logger.mock.ts`

### Extends

`Logger`

### Index

###### Properties

- isAllEnabled
- isDebugEnabled
- isDisabled
- isEnabledFor
- isErrorEnabled
- isFatalEnabled
- isInfoEnabled
- isTraceEnabled
- isWarnEnabled

###### Methods

- debug
- error
- fatal
- getLevel
- info
- setLevel
- trace
- warn
- getName
- Static isEnabledFor

### Constructor

`constructor()`

### Properties

isAllEnabled
Default value : `() => {...}`

isDebugEnabled
Default value : `() => {...}`

isDisabled
Default value : `() => {...}`

isEnabledFor
Default value : `() => {...}`

isErrorEnabled
Default value : `() => {...}`

isFatalEnabled
Default value : `() => {...}`

isInfoEnabled
Default value : `() => {...}`

isTraceEnabled
Default value : `() => {...}`

isWarnEnabled
Default value : `() => {...}`

### Methods

debug
`debug()`
Returns : `void`

error
`error()`
Returns : `void`

fatal
`fatal()`
Returns : `void`

getLevel
`getLevel()`

info
`info()`
Returns : `void`

setLevel
`setLevel()`
Returns : `void`

trace
`trace()`
Returns : `void`

warn
`warn()`
Returns : `void`

getName
`getName()`
Gets the logger name Returns : `string` the logger name

Static isEnabledFor
`isEnabledFor(enabledFromLevel: LogLevel, level: LogLevel)`

Parameters :

Name | Type | Optional
enabledFromLevel | `LogLevel` | No
level | `LogLevel` | No

Returns : `boolean`

# results matching ""

# No results matching ""